#This will run on ubuntu

#------------Running Apt Update--------------------------------------

apt_update 'update'

#-----------Installing Nginx Repository-------------------------------

#apt_repository 'nginx_repo' do
#  uri          'http://nginx.org/packages/ubuntu/'
#  distribution 'xenial'
#  components   ['nginx']
#  key 'https://nginx.org/keys/nginx_signing.key'
#end

#-----------Updating the Repo------------------------------------------

apt_update 'update'


#----------Installing Nginx--------------------------------------------
package 'nginx' do
  action :install
end

#---------Changing the default port and Default Index for Nginx--------
template 'default' do
  path '/etc/nginx/sites-available/default'
  source 'default.erb'
end

#cookbook_file "/usr/share/nginx/html/index.html" do
cookbook_file "/var/www/html/index.nginx-debian.html" do
  source "index.html"
  mode "0644"
end

#---------Restarting the Nginx Service----------------------------------

service 'nginx' do
        action [:restart, :enable]
end

